
QGIS Application - Bug report #21412

QGIS Crash when adding new layers in Python

2019-02-27 08:09 PM - Martin Boos

Status: Closed

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:3.4.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 29229

Description

User Feedback

I was creating a QgsVectorLayer in Python

Report Details

Crash ID: eda2bfcbb890a6e554b70cc7c670806701a81730

Stack Trace

QgsDefaultVectorLayerLegend::createLayerTreeModelLegendNodes :

QgsLayerTreeModel::addLegendToLayer :

QgsLayerTreeModel::connectToLayer :

QgsLayerTreeModel::nodeAddedChildren :

QMetaObject::activate :

QgsLayerTreeNode::addedChildren :

QMetaObject::activate :

QgsLayerTreeNode::addedChildren :

QMetaObject::activate :

QgsLayerTreeNode::addedChildren :

QgsLayerTreeNode::insertChildrenPrivate :

QgsLayerTreeGroup::insertChildNodes :

QgsLayerTreeGroup::insertChildNode :

QgsLayerTreeGroup::addLayer :

PyMethodDef_RawFastCallKeywords :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyMethodDef_RawFastCallDict :

PyObject_Call :

PyInit_QtCore :

PyInit_QtCore :

PyInit_QtCore :

PyInit_QtCore :

PyInit_QtCore :

QObject::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QCoreApplicationPrivate::sendPostedEvents :

qt_plugin_query_metadata :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :
QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.4-Madeira

QGIS code revision: commit:f6ddc62fdb

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2019-02-28 03:37 PM - Marco Bernasocchi

- Status changed from Open to Feedback

Please give some more details on what you were doing and code samples

#2 - 2019-03-17 09:25 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closing for lack of feedback. Please reopen if necessary.
